-- Find all artists born on July 4th in the United States who ever
-- released music in language other than English. List them in
-- alphabetical order.

-- Hints: Only consider the artists with artist type Person. United
-- States is an area name. If a release is in [Multiple languages],
-- consider it as not English.

-- Output Format: ARTIST_NAME

select distinct a.name as artist_name
from artist a
    join artist_type atype on a.type = atype.id
    join area on a.area = area.id
    join artist_credit_name acn on a.id = acn.artist
    join artist_credit ac on acn.artist_credit = ac.id
    join release r on ac.id = r.artist_credit
    join language l on r.language = l.id
where atype.name = 'Person'
    and area.name = 'United States'
    and a.begin_date_month = 7
    and a.begin_date_day = 4
    and l.name != 'English'
order by artist_name asc;
